- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_relates_to.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_const.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_relates_to | axis2_relates_to_t
## Functions
AXIS2_EXTERN axis2_relates_to_t * | axis2_relates_to_create (const axutil_env_t *env, const axis2_char_t *value, const axis2_char_t *relationship_type)
AXIS2_EXTERN const axis2_char_t * | axis2_relates_to_get_value (const axis2_relates_to_t *relates_to, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_relates_to_set_value (struct axis2_relates_to *relates_to, const axutil_env_t *env, const axis2_char_t *value)
AXIS2_EXTERN const axis2_char_t * | axis2_relates_to_get_relationship_type (const axis2_relates_to_t *relates_to, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_relates_to_set_relationship_type (struct axis2_relates_to *relates_to, const axutil_env_t *env, const axis2_char_t *relationship_type)
AXIS2_EXTERN void | axis2_relates_to_free (struct axis2_relates_to *relates_to, const axutil_env_t *env)

## Detailed Description